1

While attempting to install a plugin via the Manage and Install Plugins window I receive the following error:

> Plugin installation failed:Error downloading
> https://plugins.qgis.org/plugins/quick_map_services/version/0.19.10.1/download/
> - server replied: Bad Gateway

Also, when I attempt to follow part or the full link in this error I receive an message that reads 502 Bad Gateway nginx/1.4.7in my web browser. I also tried installing a different plugin and received the same error. I just upgraded from QGIS 2.10 to 2.18. Am I doing something wrong?

0

You're not doing anything wrong. "Bad Gateway" is usually a temporary glitch, and comes from the server.

If you were behind a misconfigured proxy you probably wouldn't even be able to download the list of plugins (it's worth checking, though).

This usually means that the server had to connect to another server to fulfil your request, and that other server was down, or too busy to reply. Or it could be plugin server itself got too busy.

I tried just now and it seems ok, so it's worth trying again.

  • Tried again without any problems. Easy enough. – reevesii Sep 24 '18 at 15:11
0
  1. I suggest you upgrade to version 3.2.3 as new versions bring new features and has bug fixes. Click here if you wish to do so.

  2. If you cannot, are you using QGIS behind a proxy? If yes, then please read this thread: How to access QGIS Plugin Repositories from behind a proxy?

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.